# $Revision: 1.25 $, $Date: 2004/07/24 21:13:13 $
Summary:	gtranslator - a comfortable po file editor with many bells and whistles
Summary(pl):	gtranslator - wygodny edytor plikw po z rnymi wodotryskami
Name:		gtranslator
Version:	1.1.5
Release:	1
Epoch:		1
License:	GPL
Vendor:		GNOME Project
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/gtranslator/%{name}-%{version}.tar.gz
# Source0-md5:	2cd24e8471362ab76348fc202a1f957f
Patch0:		%{name}-configure_in.patch
Patch1:		%{name}-locale_names.patch
URL:		http://gtranslator.sf.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	intltool
BuildRequires:	libbonoboui-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.4.12
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtranslator is a comfortable po file editor with many bells and
whistles. It features many useful function which ease the work of
translators of po files immenantly.

%description -l pl
gtranslator jest wygodnym edytorem plikw po z wieloma wodotryskami.
Dostarcza duo uytecznych funkcji uatwiajcych prac przy
tumaczeniach plikw po.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po
sed -i 's/Categories=.*/Categories=GTK;GNOME;Development;/' data/desktop/gtranslator.desktop.in

%build
glib-gettextize --copy --force
intltoolize
%{__aclocal} -I /usr/share/aclocal/gnome2-macros
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}
%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationdir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /usr/bin/scrollkeeper-update
%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DEPENDS HACKING NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/colorschemes
%{_datadir}/%{name}/dtd
%attr(755,root,root) %{_datadir}/%{name}/scripts
%{_datadir}/mime-info/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be rearched at <cvs_login>@pld-linux.org

$Log: gtranslator.spec,v $
Revision 1.25  2004/07/24 21:13:13  qboosh
- updated to 1.1.5, updated locale_names patch, removed obsolete pl_pl patch

Revision 1.24  2004/07/23 11:38:37  ankry
- no -> nb, fixed Categories, rel. 2

Revision 1.23  2004/04/10 20:56:36  adamg
- BuildRequires: glib2-devel

Revision 1.22  2004/04/10 20:51:22  adamg
- added pl_po.patch

Revision 1.21  2004/04/10 20:32:11  adamg
- updated to 1.1.4

Revision 1.20  2004/03/24 01:13:31  freetz
- why not? 1.0.1

Revision 1.19  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.18  2003/09/04 13:13:34  grzegol
- updated to 1.0
- added BR: scrollkeeper
- simplified/updated %%files

Revision 1.17  2003/07/07 13:03:15  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.16  2003/06/16 10:05:04  qboosh
- use _desktopdir macro, cosmetics

Revision 1.15  2003/06/14 14:11:49  aflinta
- version 0.99, epoch 1 for easier upgrade from snap version

Revision 1.14  2003/05/28 12:59:03  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/12 19:32:33  aflinta
- updated to snap 20030112

Revision 1.11  2003/01/03 21:20:19  aflinta
- updated to snap 20030103, version 0.99

Revision 1.10  2002/10/08 07:12:33  qboosh
- typo, release 3

Revision 1.9  2002/10/07 16:04:27  ankry
- adapterized

Revision 1.8  2002/10/07 12:58:47  qboosh
- BR: autoconf,automake,gettext-devel,libtool

Revision 1.7  2002/09/02 15:04:35  kloczek
- removed INSTALL from %%doc,
- correct fix in %%build for install in correct path gtranslator.desktop file.

Revision 1.6  2002/09/01 23:04:26  maryush
- build fixed
- release 2
- STBR

Revision 1.5  2002/08/28 20:41:08  kloczek
- run %%find_lang --with-gnome.

Revision 1.4  2002/08/28 20:09:28  kloczek
- fixes in %%install and %%files.

Revision 1.3  2002/08/28 20:06:20  kloczek
- simplification in %%post/%%postun.

Revision 1.2  2002/08/26 13:37:49  qboosh
- cleanups, BR: gnome-print-devel, intltool

Revision 1.1  2002/08/17 11:26:27  maryush
- initial PLD release, need testing and clean up (maybe)
